BuiltInFunctions: remove calls to WrongTypeException
Status: Closed Start date: 08 Apr 2014

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Parser/Interpreter Estimated time: 3.00 hours

Target version: CoCoA-5.1.1 Seoul14 Spent time: 3.50 hours

Description

Many functions calling to WrongTypeException could be modernized using EvalArgAsT1OrT2.. making the code shorte, more

readable, more robust (no risk to forget one type in the error mesg)

Related issues:

Related to CoCoA-5 - Design #294: BuiltInFunctions: General "OneLiner" for ar... Closed 23 Jan 2013

Related to CoCoA-5 - Design #597:  Interpreter.C: remove calls to WrongTypeEx... New 28 Jul 2014

History

#1 - 08 Apr 2014 09:14 - Anna Maria Bigatti

I've done some work on gcd and lcm (among the worst).

I think it's more readable now.

NB: There is no PtrCastList because a vector needs to know what it's a vector of.

#2 - 08 Apr 2014 09:42 - Anna Maria Bigatti

I modernized RingOf: code much much nicer now!

#3 - 16 Jul 2014 19:01 - Anna Maria Bigatti

Done BaseRing.  I'll do the rest tomorrow

#4 - 18 Jul 2014 09:06 - Anna Maria Bigatti

- Status changed from New to Feedback

- Priority changed from Normal to High

- % Done changed from 0 to 90

All done (ascii, apply, ContentWRT, CoefficientWRT).

Changed priority to high because I'm presenting this in Seoul ;-)

There is only one call left in BuiltinFunctions-Normaliz.C but that is a special case for inputing a record (a non standard situation)

#5 - 28 Jul 2014 11:48 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

There are a few more WrongTypeException left in Interpreter.C.

Those are of a slightly different nature and should go into another issue.

This one is done!
